Module | Compass::BrowserSupport
In: | lib/compass/browser_support.rb

### Methods

add_support has_aspect? remove_support supports?

### Constants

ASPECTS | = | %w(webkit moz o ms svg pie css2)
SIMPLE_FUNCTIONS | = | { "image" => %w(), # No browsers implement this yet. "cross-fade" => %w()

### Public Instance methods

add_support(function, *aspects)

Adds support for one or more aspects for the given simple function Example:

      Compass::BrowserSupport.add_support("image", "moz", "webkit")
      # => Adds support for moz and webkit to the image() function.

This function can be called one or more times in a compass configuration file in order to add support for new, simple browser functions without waiting for a new compass release.

has_aspect?(function)
remove_support(function, *aspects)

Removes support for one or more aspects for the given simple function Example:

      Compass::BrowserSupport.remove_support("image", "o", "ms")
      # => Adds support for moz and webkit to the image() function.

This function can be called one or more times in a compass configuration file in order to remove support for simple functions that no longer need to a prefix without waiting for a new compass release.

supports?(function, aspect)

[Validate]